Bug 1128831 - CentOS users don't have python-rhsm available
Summary: CentOS users don't have python-rhsm available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: rpm-support
Version: 2.4.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 2.4.0
Assignee: Randy Barlow
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 15:28 UTC by Randy Barlow
Modified: 2014-08-20 03:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-13 18:03:01 UTC


Attachments (Terms of Use)

Description Randy Barlow 2014-08-11 15:28:27 UTC
We used to carry python-rhsm in our Pulp repository. We removed it with the 2.4.0 release. I'm not sure why, but I would guess that we removed it because it was part of RHEL. It turns out that CentOS has explicitly removed it[0].

We should probably add it back to our carried dependencies for them.

[0] http://wiki.centos.org/Manuals/ReleaseNotes/CentOS6.4#head-73080c17ef870869af00892b982af92ba4ded4e6

Comment 1 Randy Barlow 2014-08-11 20:23:31 UTC
https://github.com/pulp/pulp/pull/1101

Comment 2 Randy Barlow 2014-08-12 19:43:19 UTC
I have published a testing python-rhsm to the testing repo at https://repos.fedorapeople.org/repos/pulp/pulp/testing/ for EL 6 and EL 7.

Comment 3 Preethi Thomas 2014-08-12 20:12:42 UTC
[root@centos-pulp yum.repos.d]# yum groupinstall pulp-server-qpid
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: mirrors.advancedhosters.com
 * epel: download.bos.redhat.com
 * extras: mirror.thelinuxfix.com
 * updates: mirror.symnds.com
Setting up Group Process
Checking for new repos for mirrors
base/group_gz                                            | 220 kB     00:00     
epel/group_gz                                            | 237 kB     00:00     
pulp-v2-testing/group_gz                                 |  521 B     00:00     
Resolving Dependencies
--> Running transaction check
---> Package pulp-puppet-plugins.noarch 0:2.4.0-1.el6 will be installed
--> Processing Dependency: python-pulp-puppet-common = 2.4.0 for package: pulp-puppet-plugins-2.4.0-1.el6.noarch
--> Processing Dependency: python-pulp-common = 2.4.0 for package: pulp-puppet-plugins-2.4.0-1.el6.noarch
--> Processing Dependency: python-semantic-version >= 2.2.0 for package: pulp-puppet-plugins-2.4.0-1.el6.noarch
---> Package pulp-rpm-plugins.noarch 0:2.4.0-1.el6 will be installed
--> Processing Dependency: python-pulp-rpm-common = 2.4.0 for package: pulp-rpm-plugins-2.4.0-1.el6.noarch
--> Processing Dependency: python-rhsm >= 1.8.0 for package: pulp-rpm-plugins-2.4.0-1.el6.noarch
--> Processing Dependency: python-nectar >= 1.2.1 for package: pulp-rpm-plugins-2.4.0-1.el6.noarch
--> Processing Dependency: createrepo >= 0.9.9-21 for package: pulp-rpm-plugins-2.4.0-1.el6.noarch
--> Processing Dependency: pyliblzma for package: pulp-rpm-plugins-2.4.0-1.el6.noarch
--> Processing Dependency: genisoimage for package: pulp-rpm-plugins-2.4.0-1.el6.noarch
---> Package pulp-selinux.noarch 0:2.4.0-1.el6 will be installed
--> Processing Dependency: policycoreutils-python for package: pulp-selinux-2.4.0-1.el6.noarch
--> Processing Dependency: /usr/sbin/semanage for package: pulp-selinux-2.4.0-1.el6.noarch
---> Package pulp-server.noarch 0:2.4.0-1.el6 will be installed
--> Processing Dependency: python-celery < 3.2.0 for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: python-pymongo >= 2.5.2 for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: python-okaara >= 1.0.32 for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: python-oauth2 >= 1.5.211 for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: python-isodate >= 0.5.0-1.pulp for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: python-gofer-qpid >= 1.3.0 for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: python-gofer >= 1.3.0 for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: python-celery >= 3.1.0 for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: mod_wsgi >= 3.4-1.pulp for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: m2crypto >= 0.21.1-8.pulp for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: python-webpy for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: python-httplib2 for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: python-BeautifulSoup for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: mod_ssl for package: pulp-server-2.4.0-1.el6.noarch
--> Processing Dependency: httpd for package: pulp-server-2.4.0-1.el6.noarch
---> Package python-qpid.noarch 0:0.26-2.el6 will be installed
--> Processing Dependency: python-qpid-common = 0.26-2.el6 for package: python-qpid-0.26-2.el6.noarch
---> Package python-qpid-qmf.x86_64 0:0.26-2.el6 will be installed
--> Processing Dependency: qpid-qmf(x86-64) = 0.26-2.el6 for package: python-qpid-qmf-0.26-2.el6.x86_64
--> Processing Dependency: libqmf2.so.1()(64bit) for package: python-qpid-qmf-0.26-2.el6.x86_64
--> Running transaction check
---> Package createrepo.noarch 0:0.9.9-21.2.pulp.el6 will be installed
--> Processing Dependency: python-deltarpm for package: createrepo-0.9.9-21.2.pulp.el6.noarch
--> Processing Dependency: deltarpm for package: createrepo-0.9.9-21.2.pulp.el6.noarch
---> Package genisoimage.x86_64 0:1.1.9-12.el6 will be installed
---> Package httpd.x86_64 0:2.2.15-31.el6.centos will be installed
--> Processing Dependency: httpd-tools = 2.2.15-31.el6.centos for package: httpd-2.2.15-31.el6.centos.x86_64
--> Processing Dependency: apr-util-ldap for package: httpd-2.2.15-31.el6.centos.x86_64
--> Processing Dependency: libaprutil-1.so.0()(64bit) for package: httpd-2.2.15-31.el6.centos.x86_64
--> Processing Dependency: libapr-1.so.0()(64bit) for package: httpd-2.2.15-31.el6.centos.x86_64
---> Package m2crypto.x86_64 0:0.21.1.pulp-8.el6 will be installed
---> Package mod_ssl.x86_64 1:2.2.15-31.el6.centos will be installed
---> Package mod_wsgi.x86_64 0:3.4-1.pulp.el6 will be installed
---> Package policycoreutils-python.x86_64 0:2.0.83-19.39.el6 will be installed
--> Processing Dependency: libsemanage-python >= 2.0.43-4 for package: policycoreutils-python-2.0.83-19.39.el6.x86_64
--> Processing Dependency: audit-libs-python >= 1.4.2-1 for package: policycoreutils-python-2.0.83-19.39.el6.x86_64
--> Processing Dependency: setools-libs-python for package: policycoreutils-python-2.0.83-19.39.el6.x86_64
--> Processing Dependency: libselinux-python for package: policycoreutils-python-2.0.83-19.39.el6.x86_64
---> Package pyliblzma.x86_64 0:0.5.3-3.el6 will be installed
---> Package python-BeautifulSoup.noarch 1:3.0.8.1-1.el6 will be installed
---> Package python-celery.noarch 0:3.1.11-1.el6 will be installed
--> Processing Dependency: python-kombu >= 3.0.15 for package: python-celery-3.1.11-1.el6.noarch
--> Processing Dependency: python-billiard >= 3.3.0.17 for package: python-celery-3.1.11-1.el6.noarch
--> Processing Dependency: python-importlib for package: python-celery-3.1.11-1.el6.noarch
--> Processing Dependency: python-anyjson for package: python-celery-3.1.11-1.el6.noarch
--> Processing Dependency: python-amqp for package: python-celery-3.1.11-1.el6.noarch
--> Processing Dependency: pyparsing for package: python-celery-3.1.11-1.el6.noarch
---> Package python-gofer.noarch 0:1.3.0-1.el6 will be installed
--> Processing Dependency: PyPAM for package: python-gofer-1.3.0-1.el6.noarch
---> Package python-gofer-qpid.noarch 0:1.3.0-1.el6 will be installed
---> Package python-httplib2.noarch 0:0.7.7-1.el6 will be installed
---> Package python-isodate.noarch 0:0.5.0-4.pulp.el6 will be installed
---> Package python-nectar.noarch 0:1.2.1-1.el6 will be installed
--> Processing Dependency: python-requests >= 2.2.1 for package: python-nectar-1.2.1-1.el6.noarch
---> Package python-oauth2.noarch 0:1.5.211-5.el6 will be installed
--> Processing Dependency: python-simplejson for package: python-oauth2-1.5.211-5.el6.noarch
---> Package python-okaara.noarch 0:1.0.35-1.el6 will be installed
---> Package python-pulp-common.noarch 0:2.4.0-1.el6 will be installed
---> Package python-pulp-puppet-common.noarch 0:2.4.0-1.el6 will be installed
---> Package python-pulp-rpm-common.noarch 0:2.4.0-1.el6 will be installed
---> Package python-pymongo.x86_64 0:2.5.2-3.el6 will be installed
--> Processing Dependency: python-bson = 2.5.2-3.el6 for package: python-pymongo-2.5.2-3.el6.x86_64
---> Package python-qpid-common.noarch 0:0.26-2.el6 will be installed
---> Package python-rhsm.x86_64 0:1.8.0-2.pulp.el6 will be installed
---> Package python-semantic-version.noarch 0:2.2.0-3.el6 will be installed
---> Package python-webpy.noarch 0:0.37-2.el6 will be installed
--> Processing Dependency: python-cherrypy for package: python-webpy-0.37-2.el6.noarch
---> Package qpid-qmf.x86_64 0:0.26-2.el6 will be installed
--> Running transaction check
---> Package PyPAM.x86_64 0:0.5.0-12.el6 will be installed
---> Package apr.x86_64 0:1.3.9-5.el6_2 will be installed
---> Package apr-util.x86_64 0:1.3.9-3.el6_0.1 will be installed
---> Package apr-util-ldap.x86_64 0:1.3.9-3.el6_0.1 will be installed
---> Package audit-libs-python.x86_64 0:2.2-4.el6_5 will be installed
--> Processing Dependency: audit-libs = 2.2-4.el6_5 for package: audit-libs-python-2.2-4.el6_5.x86_64
---> Package deltarpm.x86_64 0:3.5-0.5.20090913git.el6 will be installed
---> Package httpd-tools.x86_64 0:2.2.15-31.el6.centos will be installed
---> Package libselinux-python.x86_64 0:2.0.94-5.3.el6_4.1 will be installed
---> Package libsemanage-python.x86_64 0:2.0.43-4.2.el6 will be installed
---> Package pyparsing.noarch 0:1.5.6-1.el6 will be installed
---> Package python-amqp.noarch 0:1.4.5-1.el6 will be installed
---> Package python-anyjson.noarch 0:0.3.3-4.el6 will be installed
---> Package python-billiard.x86_64 1:3.3.0.17-1.el6 will be installed
---> Package python-bson.x86_64 0:2.5.2-3.el6 will be installed
---> Package python-cherrypy.noarch 0:3.2.2-3.el6 will be installed
---> Package python-deltarpm.x86_64 0:3.5-0.5.20090913git.el6 will be installed
---> Package python-importlib.noarch 0:1.0.2-1.el6 will be installed
---> Package python-kombu.noarch 1:3.0.15-12.pulp.el6 will be installed
--> Processing Dependency: python-ordereddict for package: 1:python-kombu-3.0.15-12.pulp.el6.noarch
---> Package python-requests.noarch 0:2.2.1-1.el6 will be installed
---> Package python-simplejson.x86_64 0:2.0.9-3.1.el6 will be installed
---> Package setools-libs-python.x86_64 0:3.3.7-4.el6 will be installed
--> Processing Dependency: setools-libs = 3.3.7-4.el6 for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libsefs.so.4(VERS_4.0)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libseaudit.so.4(VERS_4.2)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libseaudit.so.4(VERS_4.1)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libqpol.so.1(VERS_1.4)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libqpol.so.1(VERS_1.3)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libqpol.so.1(VERS_1.2)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libpoldiff.so.1(VERS_1.3)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libpoldiff.so.1(VERS_1.2)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libapol.so.4(VERS_4.1)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libapol.so.4(VERS_4.0)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libsefs.so.4()(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libseaudit.so.4()(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libqpol.so.1()(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libpoldiff.so.1()(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libapol.so.4()(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Running transaction check
---> Package audit-libs.x86_64 0:2.2-2.el6 will be updated
--> Processing Dependency: audit-libs = 2.2-2.el6 for package: audit-2.2-2.el6.x86_64
---> Package audit-libs.x86_64 0:2.2-4.el6_5 will be an update
---> Package python-ordereddict.noarch 0:1.1-2.el6 will be installed
---> Package setools-libs.x86_64 0:3.3.7-4.el6 will be installed
--> Running transaction check
---> Package audit.x86_64 0:2.2-2.el6 will be updated
---> Package audit.x86_64 0:2.2-4.el6_5 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                   Arch   Version                 Repository       Size
================================================================================
Installing:
 pulp-puppet-plugins       noarch 2.4.0-1.el6             pulp-v2-testing  91 k
 pulp-rpm-plugins          noarch 2.4.0-1.el6             pulp-v2-testing 287 k
 pulp-selinux              noarch 2.4.0-1.el6             pulp-v2-testing  67 k
 pulp-server               noarch 2.4.0-1.el6             pulp-v2-testing 676 k
 python-qpid               noarch 0.26-2.el6              pulp-v2-testing 245 k
 python-qpid-qmf           x86_64 0.26-2.el6              pulp-v2-testing 178 k
Installing for dependencies:
 PyPAM                     x86_64 0.5.0-12.el6            base             23 k
 apr                       x86_64 1.3.9-5.el6_2           base            123 k
 apr-util                  x86_64 1.3.9-3.el6_0.1         base             87 k
 apr-util-ldap             x86_64 1.3.9-3.el6_0.1         base             15 k
 audit-libs-python         x86_64 2.2-4.el6_5             updates          59 k
 createrepo                noarch 0.9.9-21.2.pulp.el6     pulp-v2-testing  91 k
 deltarpm                  x86_64 3.5-0.5.20090913git.el6 base             71 k
 genisoimage               x86_64 1.1.9-12.el6            base            348 k
 httpd                     x86_64 2.2.15-31.el6.centos    updates         824 k
 httpd-tools               x86_64 2.2.15-31.el6.centos    updates          73 k
 libselinux-python         x86_64 2.0.94-5.3.el6_4.1      base            202 k
 libsemanage-python        x86_64 2.0.43-4.2.el6          base             81 k
 m2crypto                  x86_64 0.21.1.pulp-8.el6       pulp-v2-testing 483 k
 mod_ssl                   x86_64 1:2.2.15-31.el6.centos  updates          91 k
 mod_wsgi                  x86_64 3.4-1.pulp.el6          pulp-v2-testing  68 k
 policycoreutils-python    x86_64 2.0.83-19.39.el6        base            343 k
 pyliblzma                 x86_64 0.5.3-3.el6             epel             45 k
 pyparsing                 noarch 1.5.6-1.el6             epel             94 k
 python-BeautifulSoup      noarch 1:3.0.8.1-1.el6         epel             43 k
 python-amqp               noarch 1.4.5-1.el6             pulp-v2-testing  82 k
 python-anyjson            noarch 0.3.3-4.el6             pulp-v2-testing  12 k
 python-billiard           x86_64 1:3.3.0.17-1.el6        pulp-v2-testing 178 k
 python-bson               x86_64 2.5.2-3.el6             epel            110 k
 python-celery             noarch 3.1.11-1.el6            pulp-v2-testing 1.9 M
 python-cherrypy           noarch 3.2.2-3.el6             epel            465 k
 python-deltarpm           x86_64 3.5-0.5.20090913git.el6 base             27 k
 python-gofer              noarch 1.3.0-1.el6             pulp-v2-testing 117 k
 python-gofer-qpid         noarch 1.3.0-1.el6             pulp-v2-testing  48 k
 python-httplib2           noarch 0.7.7-1.el6             epel             70 k
 python-importlib          noarch 1.0.2-1.el6             epel            6.3 k
 python-isodate            noarch 0.5.0-4.pulp.el6        pulp-v2-testing  50 k
 python-kombu              noarch 1:3.0.15-12.pulp.el6    pulp-v2-testing 504 k
 python-nectar             noarch 1.2.1-1.el6             pulp-v2-testing  40 k
 python-oauth2             noarch 1.5.211-5.el6           epel             27 k
 python-okaara             noarch 1.0.35-1.el6            epel             82 k
 python-ordereddict        noarch 1.1-2.el6               epel            7.6 k
 python-pulp-common        noarch 2.4.0-1.el6             pulp-v2-testing 111 k
 python-pulp-puppet-common noarch 2.4.0-1.el6             pulp-v2-testing  38 k
 python-pulp-rpm-common    noarch 2.4.0-1.el6             pulp-v2-testing  63 k
 python-pymongo            x86_64 2.5.2-3.el6             epel            214 k
 python-qpid-common        noarch 0.26-2.el6              pulp-v2-testing 205 k
 python-requests           noarch 2.2.1-1.el6             pulp-v2-testing 537 k
 python-rhsm               x86_64 1.8.0-2.pulp.el6        pulp-v2-testing  89 k
 python-semantic-version   noarch 2.2.0-3.el6             pulp-v2-testing  16 k
 python-simplejson         x86_64 2.0.9-3.1.el6           base            126 k
 python-webpy              noarch 0.37-2.el6              epel            145 k
 qpid-qmf                  x86_64 0.26-2.el6              pulp-v2-testing 160 k
 setools-libs              x86_64 3.3.7-4.el6             base            400 k
 setools-libs-python       x86_64 3.3.7-4.el6             base            222 k
Updating for dependencies:
 audit                     x86_64 2.2-4.el6_5             updates         225 k
 audit-libs                x86_64 2.2-4.el6_5             updates          60 k

Transaction Summary
================================================================================
Install      55 Package(s)
Upgrade       2 Package(s)

Comment 4 Preethi Thomas 2014-08-13 01:27:20 UTC
verified
on rhel6.5 & rhel7


Note You need to log in before you can comment on or make changes to this bug.